Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.benchmark.config
Class XmlPlannerBenchmarkFactory

    java.lang.Object
      org.drools.planner.benchmark.config.XmlPlannerBenchmarkFactory

    public class XmlPlannerBenchmarkFactory

extends Object

Constructor Summary
`XmlPlannerBenchmarkFactory()`

Method Summary
`void` | `addXstreamAnnotations(Class... xstreamAnnotations)`
`PlannerBenchmark` | `buildPlannerBenchmark()`
`XmlPlannerBenchmarkFactory` | `configure(InputStream in)`
`XmlPlannerBenchmarkFactory` | `configure(Reader reader)`
`XmlPlannerBenchmarkFactory` | `configure(String resource)`
`XmlPlannerBenchmarkFactory` | `configureFromTemplate(InputStream templateIn)`
`XmlPlannerBenchmarkFactory` | `configureFromTemplate(InputStream templateIn, Object model)`
`XmlPlannerBenchmarkFactory` | `configureFromTemplate(Reader templateReader)`
`XmlPlannerBenchmarkFactory` | `configureFromTemplate(Reader templateReader, Object model)`
`XmlPlannerBenchmarkFactory` | `configureFromTemplate(String templateResource)`
`XmlPlannerBenchmarkFactory` | `configureFromTemplate(String templateResource, Object model)`
`XmlPlannerBenchmarkFactory` | `configureFromTemplate(freemarker.template.Template template)`
`XmlPlannerBenchmarkFactory` | `configureFromTemplate(freemarker.template.Template template, Object model)`
`PlannerBenchmarkConfig` | `getPlannerBenchmarkConfig()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlPlannerBenchmarkFactory

    public XmlPlannerBenchmarkFactory()

Method Detail

### addXstreamAnnotations

    public void addXstreamAnnotations(Class... xstreamAnnotations)

### configure

    public XmlPlannerBenchmarkFactory configure(String resource)

### configure

    public XmlPlannerBenchmarkFactory configure(InputStream in)

### configure

    public XmlPlannerBenchmarkFactory configure(Reader reader)

### configureFromTemplate

    public XmlPlannerBenchmarkFactory configureFromTemplate(String templateResource)

### configureFromTemplate

    public XmlPlannerBenchmarkFactory configureFromTemplate(String templateResource,
                                                            Object model)

### configureFromTemplate

    public XmlPlannerBenchmarkFactory configureFromTemplate(InputStream templateIn)

### configureFromTemplate

    public XmlPlannerBenchmarkFactory configureFromTemplate(InputStream templateIn,
                                                            Object model)

### configureFromTemplate

    public XmlPlannerBenchmarkFactory configureFromTemplate(Reader templateReader)

### configureFromTemplate

    public XmlPlannerBenchmarkFactory configureFromTemplate(Reader templateReader,
                                                            Object model)

### configureFromTemplate

    public XmlPlannerBenchmarkFactory configureFromTemplate(freemarker.template.Template template)

### configureFromTemplate

    public XmlPlannerBenchmarkFactory configureFromTemplate(freemarker.template.Template template,
                                                            Object model)

### getPlannerBenchmarkConfig

    public PlannerBenchmarkConfig getPlannerBenchmarkConfig()

### buildPlannerBenchmark

    public PlannerBenchmark buildPlannerBenchmark()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.